List the current user's teams

Lists the teams of the user who authorized the access token. The Application needs an active installation on this user.

GET/api/v2/users/@me/teams

Parameters #

PropertyTypeLocationDescription
cursorstringquery-
limitintegerquery-
If-None-MatchstringheaderThe ETag of a cached copy. The API answers 304 Not Modified when it is still current.

Request #

curl --request GET 'https://strave.gg/api/v2/users/@me/teams' \
  --header 'Authorization: Bearer $STRAVE_ACCESS_TOKEN'

Response #

200Response for status 200
application/json
304Not Modified. The If-None-Match ETag is current; reuse the cached body.
400Response for status 400
application/json
401Response for status 401
application/json
403Response for status 403
application/json
404Response for status 404
application/json
429Response for status 429
application/json
500Response for status 500
application/json
503Response for status 503
application/json
PropertyTypeDescription
dataobject[]Required-
└idstringRequired-
└namestringRequired-
└tagstringRequired-
└slugstringRequired-
└logoUrlstring | nullRequired-
└bannerUrlstring | nullRequired-
└platformstring | nullRequired-
└countrystring | nullRequired-
└regionstring | nullRequired-
└descriptionstring | nullRequired-
└socialsobjectRequired-
metaobjectRequired-
└nextCursorstring | nullRequired-
└hasMorebooleanRequired-